| Home | Libraries | People | FAQ | More

#### http::empty_body

An empty Body

##### Synopsis

Defined in header `<boost/beast/http/empty_body.hpp>`

    struct empty_body

##### Types

Name | Description
--- | ---
reader | The algorithm for parsing the body.
value_type | The type of container used for the body.
writer | The algorithm for serializing the body.

##### Static Member Functions

Name | Description
--- | ---
size | Returns the payload size of the body.

##### Description

This body is used to represent messages which do not have a message body. If this body is used with a parser, and the parser encounters octets corresponding to a message body, the parser will fail with the error `http::unexpected_body` .

The Content-Length of this body is always 0.